Summary:   Linux Terminal Server Project (ltsp.org) utilities
Name:      ltsp-utils
Version:   0.25
Release:   4%{?dist}
License:   GPL
URL:       http://www.ltsp.org
Group:     Applications/System
Source:    http://ltsp.mirrors.tds.net/pub/ltsp/utils/%{name}-%{version}-0.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n )
BuildArch: noarch
Requires:  dhcp
Requires:  nfs-utils
Requires:  tftp-server
Requires:  perl(LWP), perl(URI), perl(Digest::MD5), perl(Term::Cap)

%description
This package includes the following utilities for LTSP server:
  ltspadmin   For installing and managing the packages
              on an LTSP server.
  ltspcfg     For configuring the services on an LTSP server.
  ltspinfo    For querying the workstation, to learn things,
              such as which sound daemon is being used.

%prep
%setup -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install ltspadmin ltspcfg $RPM_BUILD_ROOT%{_sbindir}
install ltspinfo $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog notes.txt COPYING
%{_bindir}/ltspinfo
%{_sbindir}/ltspadmin
%{_sbindir}/ltspcfg

%changelog
* Wed Aug 30 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.25-4
- rebuild for Fedora Extras 6
* Sun Apr 23 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.25-3
- added %dist  macro to Release
* Sun Apr 23 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.25-2
- applied patch pertusus@free.fr
* Sat Apr 22 2006 <fedora@soeterbroek.com> - 0.25-1
- rebuild for upstream version 0.25
* Wed Apr 12 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.22-3
- removed Requires for perl-libwww-perl, perl-URI
* Wed Apr 12 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.22-2
- added Requires for perl(LWP), perl(URI), perl(Digest::MD5), perl(Term::Cap)
* Tue Apr 11 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.22-1
- rebuild for FE
* Mon Apr 10 2006 Jim McQuillan <jam@Ltsp.org>
- ltaspadmin - Fixed a problem handling non-numeric version/release numbers
* Sun Apr 9 2006 Jim McQuillan <jam@Ltsp.org>
- ltspcfg - Fixed problems with GDM and KDM on both Fedora FC5 and Ubuntu
- ltspadmin - Fixed problem with missing Termcap entries
- ltspadmin - Made it handle ltspcfg croaking a little nicer.
* Tue Apr 4 2006 Jim McQuillan <jam@Ltsp.org>
- ltspcfg - Changed the content that we write to dhcpd.conf, to include
  the auto-hostname stuff.
- ltspadmin - Added support for LTSP-4.2.  Also, it looks out for older
  versions of ltsp, to make sure you can't overwrite an existing installation.
- ltspcfg - fixed the problem with xdmcp showing up as NOT enabled.
- ltspadmin - Updated the pkgformat to 0.5, to support the new LTSP-4.2
  packages.
- ltspcfg - fixed autodetection of ubuntu/Breezy, and cleaned up the
  message about portmap on Debian.
* Wed Mar 16 2005 Jim McQuillan <jam@Ltsp.org>
- Changed the default url to be: http://ltsp.mirrors.tds.net/pub/ltsp/ltsp-4.1/
- Changed it to use a package.list file, rather than downloading each .ltsp
  file separately.
* Wed Aug 25 2004 Jim McQuillan <jam@Ltsp.org>
- Added code to deal with missing perl modules more gracefully.
- Added filtering of of multiple versions of the same program,
  so that only the latest version will get installed.
* Mon Aug 16 2004 Jim McQuillan <jam@Ltsp.org>
- Fixed problem with the version number in ltspadmin. It was being
  treated as a floating point number, so 0.10 was coming out as
  0.1.  I changed it to a string, and now it appears correct.
* Fri Aug 13 2004 Jim McQuillan <jam@Ltsp.org>
- Added binmode() to the download function. This fixes problems with
  md5sum mismatches that some people were having.  Thanks to
  Scott Chapman.
- Added testing for the LWP module, along with a reasonable message
  displays if LWP is not found.
* Wed Aug 4 2004 Jim McQuillan <jam@Ltsp.org>
- Fixed LANG problem in ltspadmin. It was causing md5 mismatches
* Tue Aug 3 2004 Jim McQuillan <jam@Ltsp.org>
- Added progress indicator to download screens
* Tue Jul 27 2004 Jim McQuillan <jam@Ltsp.org>
- Fixed problem in ltspcfg where it was missing the "disable" line
  in /etc/xinetd.d/tftp.
- Added progress indicator in ltspadmin
* Tue Jul 13 2004 Jim McQuillan <jam@Ltsp.org>
- Fixed testing of root in install.sh
- Moved ltspinfo to /usr/bin, instead of /usr/sbin
* Mon Jul 12 2004 Jim McQuillan <jam@Ltsp.org>
- Added ltspinfo
- Lots of fixes to ltspcfg contributed by Emiliano Gabrielli, mostly
  for Debian things.
- Fix to the Languange environment variables, to work better internationally
* Sat Jun 26 2004 Jim McQuillan <jam@Ltsp.org>
- Fixed accumulating of component size. It wasn't zeroing the total, so
  returning to the component list window would keep adding to the total.
* Thu Jun 24 2004 Jim McQuillan <jam@Ltsp.org>
- First build of the RPM package
